PERMISSION_RULES = [
    ('assistants', 'create', 'institutionmanager', '*', '*', '4.3.7'),
    ('assistants', 'list', 'assistant', '*', '*', ''),
    ('assistants', 'list', 'candidate', 'id', '*', ''),
    ('assistants', 'list', 'candidate', 'user/id', '*', ''),
    ('assistants', 'list', 'candidate', 'user/email', '*', ''),
    ('assistants', 'list', 'candidate', 'user/first_name/el', '*', ''),
    ('assistants', 'list', 'candidate', 'user/last_name/el', '*', ''),
    ('assistants', 'list', 'candidate', 'user/home_phone_number', '*', ''),
    ('assistants', 'list', 'candidate', 'user/role', '*', ''),
    ('assistants', 'list', 'helpdeskadmin', '*', '*', '5.1.2'),
    ('assistants', 'list', 'helpdeskuser', '*', '*', '5.1.2'),
    ('assistants', 'list', 'institutionmanager', '*', '*', '4.3.7'),
    ('assistants', 'list', 'ministry', '*', '*', 'T2217'),
    ('assistants', 'list', 'yyet', '*', '*', 'T3713'),
    ('assistants', 'list', 'professor', 'id', '*', ''),
    ('assistants', 'list', 'professor', 'user/id', '*', ''),
    ('assistants', 'list', 'professor', 'user/email', '*', ''),
    ('assistants', 'list', 'professor', 'user/first_name/el', '*', ''),
    ('assistants', 'list', 'professor', 'user/last_name/el', '*', ''),
    ('assistants', 'list', 'professor', 'user/home_phone_number', '*', ''),
    ('assistants', 'list', 'professor', 'user/role', '*', ''),
    ('assistants', 'update', 'institutionmanager', 'user/father_name/el', 'owned', '4.3.7'),
    ('assistants', 'update', 'institutionmanager', 'user/father_name/en', 'owned', '4.3.7'),
    ('assistants', 'update', 'institutionmanager', 'user/first_name/el', 'owned', '4.3.7'),
    ('assistants', 'update', 'institutionmanager', 'user/first_name/en', 'owned', '4.3.7'),
    ('assistants', 'update', 'institutionmanager', 'user/id_passport', 'owned', '4.3.7'),
    ('assistants', 'update', 'institutionmanager', 'user/last_name/el', 'owned', '4.3.7'),
    ('assistants', 'update', 'institutionmanager', 'user/last_name/en', 'owned', '4.3.7'),
    ('assistants', 'update', 'institutionmanager', 'can_create_registries', 'owned', '4.3.7'),
    ('assistants', 'update', 'institutionmanager', 'can_create_positions', 'owned', '4.3.7'),
    ('assistants', 'update', 'institutionmanager', 'departments', 'owned', ''),
    ('assistants', 'partial_update', 'institutionmanager', 'user/father_name/el', 'owned', '4.3.7'),
    ('assistants', 'partial_update', 'institutionmanager', 'user/father_name/en', 'owned', '4.3.7'),
    ('assistants', 'partial_update', 'institutionmanager', 'user/first_name/el', 'owned', '4.3.7'),
    ('assistants', 'partial_update', 'institutionmanager', 'user/first_name/en', 'owned', '4.3.7'),
    ('assistants', 'partial_update', 'institutionmanager', 'user/id_passport', 'owned', '4.3.7'),
    ('assistants', 'partial_update', 'institutionmanager', 'user/last_name/el', 'owned', '4.3.7'),
    ('assistants', 'partial_update', 'institutionmanager', 'user/last_name/en', 'owned', '4.3.7'),
    ('assistants', 'partial_update', 'institutionmanager', 'can_create_registries', 'owned', '4.3.7'),
    ('assistants', 'partial_update', 'institutionmanager', 'can_create_positions', 'owned', '4.3.7'),
    ('assistants', 'partial_update', 'institutionmanager', 'departments', 'owned', ''),
    ('assistants', 'retrieve', 'assistant', '*', 'owned_by_assistant', ''),
    ('assistants', 'retrieve', 'helpdeskadmin', '*', '*', '5.1.2'),
    ('assistants', 'retrieve', 'helpdeskuser', '*', '*', '5.1.2'),
    ('assistants', 'retrieve', 'institutionmanager', '*', 'owned', '4.3.7'),
    ('assistants', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('assistants', 'retrieve', 'yyet', '*', '*', 'T3713'),
    ('assistants', 'update', 'assistant', 'user/email', 'owned_by_assistant', '4.3.7'),
    ('assistants', 'update', 'assistant', 'user/home_phone_number', 'owned_by_assistant', '4.3.7'),
    ('assistants', 'update', 'assistant', 'user/mobile_phone_number', 'owned_by_assistant', '4.3.7'),
    ('assistants', 'partial_update', 'assistant', 'user/home_phone_number', 'owned_by_assistant', '4.3.7'),
    ('assistants', 'partial_update', 'assistant', 'user/mobile_phone_number', 'owned_by_assistant', '4.3.7'),
    ('assistants', 'partial_update', 'assistant', 'user/email', 'owned_by_assistant', '4.3.7'),
    ('assistants', 'verify_user', 'helpdeskadmin', '*', '*', ''),
    ('assistants', 'verify_user', 'helpdeskuser', '*', '*', ''),
    ('assistants', 'verify_user', 'institutionmanager', '*', 'owned', ''),
    ('assistants', 'reject_user', 'helpdeskadmin', '*', '*', ''),
    ('assistants', 'reject_user', 'helpdeskuser', '*', '*', ''),
    ('assistants', 'reject_user', 'institutionmanager', '*', 'owned', ''),
    ('assistants', 'report', 'helpdeskadmin', '*', '*', ''),
    ('candidacies', 'create', 'candidate', '*', '*', '3.3.3'),
    ('candidacies', 'create', 'professor', '*', '*', '1.3.9'),
    ('candidacies', 'create', 'helpdeskadmin', '*', '*', '1.3.9'),
    ('candidacies', 'list', 'assistant', '*', '*', '4.3.16'),
    ('candidacies', 'list', 'candidate', '*', '*', '3.3.5'),
    ('candidacies', 'list', 'helpdeskadmin', '*', '*', '5.16'),
    ('candidacies', 'list', 'helpdeskuser', '*', '*', '5.16'),
    ('candidacies', 'list', 'institutionmanager', '*', '*', '4.3.16'),
    ('candidacies', 'list', 'ministry', '*', '*', 'T2217'),
    ('candidacies', 'list', 'yyet', '*', '*', ''),
    ('candidacies', 'list', 'professor', '*', '*', '1.3.3'),
    ('candidacies', 'update', 'helpdeskadmin', 'state', 'after_closed_electors_meeting_open', '5.2.3.a'),
    ('candidacies', 'update', 'professor', 'others_can_view', 'owned_open', ''),
    ('candidacies', 'update', 'professor', 'state', 'owned_open', '1.3.13'),
    ('candidacies', 'update', 'professor', 'self_evaluation_report', 'one_before_electors_meeting', ''),
    ('candidacies', 'update', 'professor', 'statement_file', 'five_before_electors_meeting', ''),
    ('candidacies', 'update', 'professor', 'statement_in_opposition_file', 'proceedings_cover_letter_exists', '#5'),
    ('candidacies', 'update', 'professor', 'attachment_files', 'one_before_electors_meeting', ''),
    ('candidacies', 'update', 'candidate', 'others_can_view', 'owned_open', ''),
    ('candidacies', 'update', 'candidate', 'state', 'owned_open', '3.3.7'),
    ('candidacies', 'update', 'candidate', 'self_evaluation_report', 'one_before_electors_meeting', ''),
    ('candidacies', 'update', 'candidate', 'statement_file', 'five_before_electors_meeting', ''),
    ('candidacies', 'update', 'candidate', 'statement_in_opposition_file', 'proceedings_cover_letter_exists', '#5'),
    ('candidacies', 'update', 'candidate', 'attachment_files', 'one_before_electors_meeting', ''),
    ('candidacies', 'partial_update', 'candidate', 'state', 'owned_open', '3.3.7'),
    ('candidacies', 'partial_update', 'helpdeskadmin', 'state', 'after_closed_electors_meeting_open', '5.2.3.a'),
    ('candidacies', 'partial_update', 'professor', 'state', 'owned_open', '1.3.13'),
    ('candidacies', 'partial_update', 'professor', 'self_evaluation_report', 'one_before_electors_meeting', ''),
    ('candidacies', 'partial_update', 'professor', 'statement_file', 'five_before_electors_meeting', ''),
    ('candidacies', 'partial_update', 'professor', 'statement_in_opposition_file', 'proceedings_cover_letter_exists', '#5'),
    ('candidacies', 'partial_update', 'professor', 'attachment_files', 'one_before_electors_meeting', ''),
    ('candidacies', 'partial_update', 'candidate', 'self_evaluation_report', 'one_before_electors_meeting', ''),
    ('candidacies', 'partial_update', 'candidate', 'statement_file', 'five_before_electors_meeting', ''),
    ('candidacies', 'partial_update', 'candidate', 'statement_in_opposition_file', 'proceedings_cover_letter_exists', '#5'),
    ('candidacies', 'partial_update', 'candidate', 'attachment_files', 'one_before_electors_meeting', ''),
    ('candidacies', 'retrieve', 'assistant', '*', 'owned_by_assistant', '4.3.16'),
    ('candidacies', 'retrieve', 'candidate', '*', 'others_can_view', '3.3.5'),
    ('candidacies', 'retrieve', 'candidate', '*', 'owned', '3.3.5'),
    ('candidacies', 'retrieve', 'helpdeskadmin', '*', '*', '5.17'),
    ('candidacies', 'retrieve', 'helpdeskuser', '*', '*', '5.17'),
    ('candidacies', 'retrieve', 'institutionmanager', '*', 'owned', '4.3.16'),
    ('candidacies', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('candidacies', 'retrieve', 'yyet', '*', '*', ''),
    ('candidacies', 'retrieve', 'professor', '*', 'others_can_view', '1.3.5'),
    ('candidacies', 'retrieve', 'professor', '*', 'owned', '1.3.5'),
    ('candidacies', 'retrieve', 'professor', '*', 'is_dep_candidacy', ''),
    ('candidacies', 'retrieve', 'professor', '*', 'participates', '1.3.5'),
    ('candidacies', 'history', 'institutionmanager', '*', 'owned', '4.3.9'),
    ('candidacies', 'history', 'assistant', '*', 'owned_by_assistant', '4.3.9'),
    ('candidacies', 'history', 'professor', '*', 'participates', '4.3.9'),
    ('candidacies', 'history', 'candidate', '*', 'owned', '4.3.9'),
    ('candidacies', 'download_zip', 'institutionmanager', '*', 'owned', '#91'),
    ('candidacies', 'download_zip', 'assistant', '*', 'owned_by_assistant', '#91'),
    ('candidacies', 'download_zip', 'professor', '*', 'participates', '#91'),
    ('candidacies', 'download_zip', 'professor', '*', 'others_can_view', '#91'),
    ('candidacies', 'download_zip', 'professor', '*', 'owned', '#91'),
    ('candidacies', 'download_zip', 'professor', '*', 'is_dep_candidacy', '#91'),
    ('candidacies', 'download_zip', 'candidate', '*', 'owned', '#91'),
    ('candidacies', 'download_zip', 'candidate', '*', 'others_can_view', '#91'),
    ('candidacies', 'download_zip', 'helpdeskadmin', '*', '*', '#91'),
    ('candidacies', 'download_zip', 'helpdeskuser', '*', '*', '#91'),
    ('candidacies', 'download_zip', 'ministry', '*', '*', '#91'),
    ('candidacies', 'download_zip', 'yyet', '*', '*', '#91'),
    ('candidacies', 'upload', 'candidate', '*', 'owned', ''),
    ('candidacies', 'upload', 'candidate', 'statement_file', 'five_before_electors_meeting', ''),
    ('candidacies', 'upload', 'candidate', 'statement_in_opposition_file', 'proceedings_cover_letter_exists', ''),
    ('candidacies', 'upload', 'candidate', 'self_evaluation_report', 'one_before_electors_meeting', ''),
    ('candidacies', 'upload', 'candidate', 'attachment_files', 'one_before_electors_meeting', ''),
    ('candidacies', 'upload', 'professor', '*', 'owned', ''),
    ('candidacies', 'upload', 'professor', 'statement_file', 'five_before_electors_meeting', ''),
    ('candidacies', 'upload', 'professor', 'statement_in_opposition_file', 'proceedings_cover_letter_exists', ''),
    ('candidacies', 'upload', 'professor', 'self_evaluation_report', 'one_before_electors_meeting', ''),
    ('candidacies', 'upload', 'professor', 'attachment_files', 'one_before_electors_meeting', ''),
    ('candidacies', 'upload', 'helpdeskadmin', '*', '*', ''),
    ('candidacies', 'upgrade_role', 'helpdeskadmin', '*', '*', ''),
    ('candidacies', 'report', 'helpdeskadmin', '*', '*', '#101'),
    ('candidates', 'list', 'helpdeskadmin', '*', '*', '5.1.2'),
    ('candidates', 'list', 'helpdeskuser', '*', '*', '5.1.2'),
    ('candidates', 'list', 'ministry', '*', '*', 'T2217'),
    ('candidates', 'update', 'helpdeskadmin', '*', '*', '5.1.3'),
    ('candidates', 'update', 'helpdeskuser', '*', '*', '5.1.3'),
    ('candidates', 'partial_update', 'helpdeskadmin', '*', '*', '5.1.3'),
    ('candidates', 'partial_update', 'helpdeskuser', '*', '*', '5.1.3'),
    ('candidates', 'retrieve', 'helpdeskadmin', '*', '*', '5.1.3'),
    ('candidates', 'retrieve', 'helpdeskuser', '*', '*', '5.1.3'),
    ('candidates', 'retrieve', 'candidate', '*', 'owned', '3'),
    ('candidates', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('candidates', 'upload', 'candidate', '*', 'owned', '3'),
    ('candidates', 'upload', 'helpdeskadmin', '*', '*', ''),
    ('candidates', 'sync_candidacies', 'candidate', '*', 'owned', ''),
    ('candidates', 'sync_candidacies_id_file', 'candidate', '*', 'owned', ''),
    ('candidates', 'request_verification', 'candidate', '*', 'owned', ''),
    ('candidates', 'request_changes', 'helpdeskadmin', '*', '*', ''),
    ('candidates', 'request_changes', 'helpdeskuser', '*', '*', ''),
    ('candidates', 'verify_user', 'helpdeskadmin', '*', '*', ''),
    ('candidates', 'verify_user', 'helpdeskuser', '*', '*', ''),
    ('candidates', 'reject_user', 'helpdeskadmin', '*', '*', ''),
    ('candidates', 'reject_user', 'helpdeskuser', '*', '*', ''),
    ('candidates', 'report', 'helpdeskadmin', '*', '*', ''),
    ('departments', 'create', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('departments', 'destroy', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('departments', 'list', 'anonymous', '*', '*', ''),
    ('departments', 'list', 'assistant', '*', '*', ''),
    ('departments', 'list', 'candidate', '*', '*', ''),
    ('departments', 'list', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('departments', 'list', 'helpdeskuser', '*', '*', '5.2.5'),
    ('departments', 'list', 'institutionmanager', '*', '*', '4.3.21'),
    ('departments', 'list', 'ministry', '*', '*', 'T2217'),
    ('departments', 'list', 'yyet', '*', '*', 'T3713'),
    ('departments', 'list', 'professor', '*', '*', '1.3.14'),
    ('departments', 'retrieve', 'assistant', '*', '*', ''),
    ('departments', 'retrieve', 'candidate', '*', '*', '3.3.1'),
    ('departments', 'retrieve', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('departments', 'retrieve', 'helpdeskuser', '*', '*', '5.2.5'),
    ('departments', 'retrieve', 'institutionmanager', '*', '*', '4.3.10'),
    ('departments', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('departments', 'retrieve', 'yyet', '*', '*', 'T3713'),
    ('departments', 'retrieve', 'professor', '*', '*', '1.2.1'),
    ('departments', 'update', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('departments', 'partial_update', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('departments', 'update', 'institutionmanager', 'dep_number', 'from_institution', '5.2.5'),
    ('departments', 'partial_update', 'institutionmanager', 'dep_number', 'from_institution', '5.2.5'),
    ('departments', 'update', 'assistant', 'dep_number', 'owned_by_assistant', ''),
    ('departments', 'partial_update', 'assistant', 'dep_number', 'owned_by_assistant', ''),
    ('departments', 'report', 'helpdeskadmin', '*', '*', ''),
    ('helpdeskusers', 'create', 'helpdeskadmin', '*', '*', ''),
    ('helpdeskusers', 'list', 'helpdeskadmin', '*', '*', ''),
    ('helpdeskusers', 'update', 'helpdeskadmin', 'user/email', '*', ''),
    ('helpdeskusers', 'partial_update', 'helpdeskadmin', 'user/email', '*', ''),
    ('helpdeskusers', 'retrieve', 'helpdeskadmin', '*', '*', ''),
    ('institution-managers', 'list', 'helpdeskadmin', '*', '*', ''),
    ('institution-managers', 'list', 'helpdeskuser', '*', '*', ''),
    ('institution-managers', 'list', 'ministry', '*', '*', 'T2217'),
    ('institution-managers', 'list', 'yyet', '*', '*', 'T3713'),
    ('institution-managers', 'list', 'professor', 'id', '*', ''),
    ('institution-managers', 'list', 'professor', 'user/id', '*', ''),
    ('institution-managers', 'list', 'professor', 'user/role', '*', ''),
    ('institution-managers', 'list', 'professor', 'user/email', '*', ''),
    ('institution-managers', 'list', 'professor', 'user/first_name/el', '*', ''),
    ('institution-managers', 'list', 'professor', 'user/last_name/el', '*', ''),
    ('institution-managers', 'list', 'professor', 'user/home_phone_number', '*', ''),
    ('institution-managers', 'list', 'professor', 'sub_first_name/el', '*', ''),
    ('institution-managers', 'list', 'professor', 'sub_first_name/en', '*', ''),
    ('institution-managers', 'list', 'professor', 'sub_last_name/el', '*', ''),
    ('institution-managers', 'list', 'professor', 'sub_last_name/en', '*', ''),
    ('institution-managers', 'list', 'professor', 'sub_email', '*', ''),
    ('institution-managers', 'list', 'professor', 'sub_home_phone_number', '*', ''),
    ('institution-managers', 'list', 'candidate', 'id', '*', ''),
    ('institution-managers', 'list', 'candidate', 'user/id', '*', ''),
    ('institution-managers', 'list', 'candidate', 'user/role', '*', ''),
    ('institution-managers', 'list', 'candidate', 'user/email', '*', ''),
    ('institution-managers', 'list', 'candidate', 'user/first_name/el', '*', ''),
    ('institution-managers', 'list', 'candidate', 'user/last_name/el', '*', ''),
    ('institution-managers', 'list', 'candidate', 'user/home_phone_number', '*', ''),
    ('institution-managers', 'list', 'candidate', 'sub_first_name/el', '*', ''),
    ('institution-managers', 'list', 'candidate', 'sub_first_name/en', '*', ''),
    ('institution-managers', 'list', 'candidate', 'sub_last_name/el', '*', ''),
    ('institution-managers', 'list', 'candidate', 'sub_last_name/en', '*', ''),
    ('institution-managers', 'list', 'candidate', 'sub_email', '*', ''),
    ('institution-managers', 'list', 'candidate', 'sub_home_phone_number', '*', ''),
    ('institution-managers', 'list', 'institutionmanager', 'id', '*', ''),
    ('institution-managers', 'list', 'institutionmanager', 'user/id', '*', ''),
    ('institution-managers', 'list', 'institutionmanager', 'user/role', '*', ''),
    ('institution-managers', 'list', 'institutionmanager', 'user/email', '*', ''),
    ('institution-managers', 'list', 'institutionmanager', 'user/first_name/el', '*', ''),
    ('institution-managers', 'list', 'institutionmanager', 'user/last_name/el', '*', ''),
    ('institution-managers', 'list', 'institutionmanager', 'user/home_phone_number', '*', ''),
    ('institution-managers', 'list', 'institutionmanager', 'sub_first_name/el', '*', ''),
    ('institution-managers', 'list', 'institutionmanager', 'sub_first_name/en', '*', ''),
    ('institution-managers', 'list', 'institutionmanager', 'sub_last_name/el', '*', ''),
    ('institution-managers', 'list', 'institutionmanager', 'sub_last_name/en', '*', ''),
    ('institution-managers', 'list', 'institutionmanager', 'sub_email', '*', ''),
    ('institution-managers', 'list', 'institutionmanager', 'sub_home_phone_number', '*', ''),
    ('institution-managers', 'list', 'assistant', 'id', '*', ''),
    ('institution-managers', 'list', 'assistant', 'user/id', '*', ''),
    ('institution-managers', 'list', 'assistant', 'user/role', '*', ''),
    ('institution-managers', 'list', 'assistant', 'user/email', '*', ''),
    ('institution-managers', 'list', 'assistant', 'user/first_name/el', '*', ''),
    ('institution-managers', 'list', 'assistant', 'user/last_name/el', '*', ''),
    ('institution-managers', 'list', 'assistant', 'user/home_phone_number', '*', ''),
    ('institution-managers', 'list', 'assistant', 'sub_first_name/el', '*', ''),
    ('institution-managers', 'list', 'assistant', 'sub_first_name/en', '*', ''),
    ('institution-managers', 'list', 'assistant', 'sub_last_name/el', '*', ''),
    ('institution-managers', 'list', 'assistant', 'sub_last_name/en', '*', ''),
    ('institution-managers', 'list', 'assistant', 'sub_email', '*', ''),
    ('institution-managers', 'list', 'assistant', 'sub_home_phone_number', '*', ''),
    ('institution-managers', 'update', 'helpdeskadmin', '*', '*', ''),
    ('institution-managers', 'update', 'helpdeskuser', '*', '*', ''),
    ('institution-managers', 'retrieve', 'helpdeskadmin', '*', '*', ''),
    ('institution-managers', 'retrieve', 'helpdeskuser', '*', '*', ''),
    ('institution-managers', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('institution-managers', 'retrieve', 'yyet', '*', '*', 'T3713'),
    ('institution-managers', 'partial_update', 'helpdeskadmin', '*', '*', ''),
    ('institution-managers', 'partial_update', 'helpdeskuser', '*', '*', ''),
    ('institution-managers', 'retrieve', 'assistant', '*', 'owned_by_assistant', ''),
    ('institution-managers', 'retrieve', 'institutionmanager', '*', 'owned', ''),
    ('institution-managers', 'retrieve', 'professor', 'id', '*', ''),
    ('institution-managers', 'retrieve', 'professor', 'user/id', '*', ''),
    ('institution-managers', 'retrieve', 'professor', 'user/role', '*', ''),
    ('institution-managers', 'retrieve', 'professor', 'user/email', '*', ''),
    ('institution-managers', 'retrieve', 'professor', 'user/first_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'professor', 'user/last_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'professor', 'user/home_phone_number', '*', ''),
    ('institution-managers', 'retrieve', 'professor', 'sub_first_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'professor', 'sub_first_name/en', '*', ''),
    ('institution-managers', 'retrieve', 'professor', 'sub_last_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'professor', 'sub_last_name/en', '*', ''),
    ('institution-managers', 'retrieve', 'professor', 'sub_email', '*', ''),
    ('institution-managers', 'retrieve', 'professor', 'sub_home_phone_number', '*', ''),
    ('institution-managers', 'retrieve', 'candidate', 'id', '*', ''),
    ('institution-managers', 'retrieve', 'candidate', 'user/id', '*', ''),
    ('institution-managers', 'retrieve', 'candidate', 'user/role', '*', ''),
    ('institution-managers', 'retrieve', 'candidate', 'user/email', '*', ''),
    ('institution-managers', 'retrieve', 'candidate', 'user/first_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'candidate', 'user/last_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'candidate', 'user/home_phone_number', '*', ''),
    ('institution-managers', 'retrieve', 'candidate', 'sub_first_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'candidate', 'sub_first_name/en', '*', ''),
    ('institution-managers', 'retrieve', 'candidate', 'sub_last_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'candidate', 'sub_last_name/en', '*', ''),
    ('institution-managers', 'retrieve', 'candidate', 'sub_email', '*', ''),
    ('institution-managers', 'retrieve', 'candidate', 'sub_home_phone_number', '*', ''),
    ('institution-managers', 'retrieve', 'institutionmanager', 'id', '*', ''),
    ('institution-managers', 'retrieve', 'institutionmanager', 'user/id', '*', ''),
    ('institution-managers', 'retrieve', 'institutionmanager', 'user/role', '*', ''),
    ('institution-managers', 'retrieve', 'institutionmanager', 'user/email', '*', ''),
    ('institution-managers', 'retrieve', 'institutionmanager', 'user/first_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'institutionmanager', 'user/last_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'institutionmanager', 'user/home_phone_number', '*', ''),
    ('institution-managers', 'retrieve', 'institutionmanager', 'sub_first_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'institutionmanager', 'sub_first_name/en', '*', ''),
    ('institution-managers', 'retrieve', 'institutionmanager', 'sub_last_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'institutionmanager', 'sub_last_name/en', '*', ''),
    ('institution-managers', 'retrieve', 'institutionmanager', 'sub_email', '*', ''),
    ('institution-managers', 'retrieve', 'institutionmanager', 'sub_home_phone_number', '*', ''),
    ('institution-managers', 'retrieve', 'assistant', 'id', '*', ''),
    ('institution-managers', 'retrieve', 'assistant', 'user/id', '*', ''),
    ('institution-managers', 'retrieve', 'assistant', 'user/role', '*', ''),
    ('institution-managers', 'retrieve', 'assistant', 'user/email', '*', ''),
    ('institution-managers', 'retrieve', 'assistant', 'user/first_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'assistant', 'user/last_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'assistant', 'user/home_phone_number', '*', ''),
    ('institution-managers', 'retrieve', 'assistant', 'sub_first_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'assistant', 'sub_first_name/en', '*', ''),
    ('institution-managers', 'retrieve', 'assistant', 'sub_last_name/el', '*', ''),
    ('institution-managers', 'retrieve', 'assistant', 'sub_last_name/en', '*', ''),
    ('institution-managers', 'retrieve', 'assistant', 'sub_email', '*', ''),
    ('institution-managers', 'retrieve', 'assistant', 'sub_home_phone_number', '*', ''),
    ('institution-managers', 'request_verification', 'institutionmanager', '*', 'owned', ''),
    ('institution-managers', 'request_changes', 'helpdeskadmin', '*', '*', ''),
    ('institution-managers', 'request_changes', 'helpdeskuser', '*', '*', ''),
    ('institution-managers', 'verify_user', 'helpdeskadmin', '*', '*', ''),
    ('institution-managers', 'verify_user', 'helpdeskuser', '*', '*', ''),
    ('institution-managers', 'reject_user', 'helpdeskadmin', '*', '*', ''),
    ('institution-managers', 'reject_user', 'helpdeskuser', '*', '*', ''),
    ('institution-managers', 'report', 'helpdeskadmin', '*', '*', ''),
    ('institutions', 'create', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('institutions', 'destroy', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('institutions', 'list', 'anonymous', '*', '*', ''),
    ('institutions', 'list', 'assistant', '*', '*', ''),
    ('institutions', 'list', 'candidate', '*', '*', '3.3.10'),
    ('institutions', 'list', 'helpdeskadmin', '*', '*', '5.8'),
    ('institutions', 'list', 'helpdeskuser', '*', '*', '5.8'),
    ('institutions', 'list', 'institutionmanager', '*', '*', '4.3.22'),
    ('institutions', 'list', 'ministry', '*', '*', 'T2217'),
    ('institutions', 'list', 'yyet', '*', '*', ''),
    ('institutions', 'list', 'professor', '*', '*', '1.3.15'),
    ('institutions', 'update', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('institutions', 'update', 'institutionmanager', 'organization', 'owned', ''),
    ('institutions', 'update', 'institutionmanager', 'regulatory_framework', 'owned', ''),
    ('institutions', 'partial_update', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('institutions', 'partial_update', 'institutionmanager', 'organization', 'owned', ''),
    ('institutions', 'partial_update', 'institutionmanager', 'regulatory_framework', 'owned', ''),
    ('institutions', 'retrieve', 'assistant', '*', '*', ''),
    ('institutions', 'retrieve', 'candidate', '*', '*', '3.3.10'),
    ('institutions', 'retrieve', 'helpdeskadmin', '*', '*', '5.8'),
    ('institutions', 'retrieve', 'helpdeskuser', '*', '*', '5.8'),
    ('institutions', 'retrieve', 'institutionmanager', '*', '*', '4.3.22'),
    ('institutions', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('institutions', 'retrieve', 'yyet', '*', '*', ''),
    ('institutions', 'retrieve', 'professor', '*', '*', '1.3.15'),
    ('positions', 'report', 'institutionmanager', '*', '*', ''),
    ('positions', 'report', 'assistant', '*', '*', ''),
    ('positions', 'report', 'ministry', '*', '*', ''),
    ('positions', 'report', 'helpdeskadmin', '*', '*', ''),
    ('positions', 'report', 'helpdeskuser', '*', '*', ''),
    ('positions', 'create', 'institutionmanager', '*', 'can_create', '4.3.10'),
    ('positions', 'create', 'assistant', '*', 'can_create', 'T1721'),
    ('positions', 'list', 'assistant', '*', 'research_can_create', '#204'),
    ('positions', 'list', 'candidate', '*', '*', '3.3.2'),
    ('positions', 'list', 'helpdeskadmin', '*', '*', '5.13'),
    ('positions', 'list', 'helpdeskuser', '*', '*', '5.13'),
    ('positions', 'list', 'institutionmanager', '*', '*', '4.3.9'),
    ('positions', 'list', 'ministry', '*', '*', 'T2217'),
    ('positions', 'list', 'yyet', '*', '*', 'T3713'),
    ('positions', 'list', 'professor', '*', '*', '3.3.2'),
    ('positions', 'update', 'institutionmanager', 'electors', 'electing', ''),
    ('positions', 'update', 'institutionmanager', 'electors_regular_internal', 'electing', ''),
    ('positions', 'update', 'institutionmanager', 'electors_regular_external', 'electing', ''),
    ('positions', 'update', 'institutionmanager', 'electors_sub_internal', 'electing', ''),
    ('positions', 'update', 'institutionmanager', 'electors_sub_external', 'electing', ''),
    ('positions', 'update', 'institutionmanager', 'electors_academy_regular', 'electing', ''),
    ('positions', 'update', 'institutionmanager', 'electors_academy_sub', 'electing', ''),
    ('positions', 'update', 'institutionmanager', 'committee', 'electing', '4.3.15'),
    ('positions', 'update', 'institutionmanager', 'committee_internal', 'electing', '4.3.15'),
    ('positions', 'update', 'institutionmanager', 'committee_external', 'electing', '4.3.15'),
    ('positions', 'update', 'institutionmanager', 'elected', 'electing', '4.3.11.f'),
    ('positions', 'update', 'institutionmanager', 'second_best', 'electing', ''),
    ('positions', 'update', 'institutionmanager', 'department', 'before_open', ''),
    ('positions', 'update', 'institutionmanager', 'description', 'before_open', ''),
    ('positions', 'update', 'institutionmanager', 'discipline', 'before_open', ''),
    ('positions', 'update', 'institutionmanager', 'ends_at', 'before_open', '4.3.11.c'),
    ('positions', 'update', 'institutionmanager', 'fek', 'before_open', ''),
    ('positions', 'update', 'institutionmanager', 'fek_posted_at', 'before_open', ''),
    ('positions', 'update', 'institutionmanager', 'starts_at', 'before_open', '4.3.11.c'),
    ('positions', 'update', 'institutionmanager', 'subject', 'before_open', ''),
    ('positions', 'update', 'institutionmanager', 'subject_area', 'before_open', ''),
    ('positions', 'update', 'institutionmanager', 'title', 'before_open', ''),
    ('positions', 'update', 'institutionmanager', 'rank', 'before_open', ''),
    ('positions', 'update', 'institutionmanager', 'state', 'before_open', '4.3.11.b'),
    ('positions', 'update', 'institutionmanager', 'state', 'after_closed', ''),
    ('positions', 'update', 'institutionmanager', 'state', 'electing', '4.3.11.g, 4.3.11.h'),
    ('positions', 'update', 'institutionmanager', 'state', 'revoked', ''),
    ('positions', 'update', 'institutionmanager', 'electors_meeting_to_set_committee_date', 'electing', ''),
    ('positions', 'update', 'institutionmanager', 'electors_meeting_date', 'electing', ''),
    ('positions', 'update', 'institutionmanager', 'nomination_act_fek', 'electing', ''),
    ('positions', 'update', 'institutionmanager', 'assistant_files', 'owned', ''),
    ('positions', 'update', 'assistant', 'electors_regular_internal', 'electing', ''),
    ('positions', 'update', 'assistant', 'electors_regular_external', 'electing', ''),
    ('positions', 'update', 'assistant', 'electors_sub_internal', 'electing', ''),
    ('positions', 'update', 'assistant', 'electors_sub_external', 'electing', ''),
    ('positions', 'update', 'assistant', 'electors_academy_regular', 'electing', ''),
    ('positions', 'update', 'assistant', 'electors_academy_sub', 'electing', ''),
    ('positions', 'update', 'assistant', 'committee', 'electing', '4.3.15'),
    ('positions', 'update', 'assistant', 'committee_internal', 'electing', '4.3.15'),
    ('positions', 'update', 'assistant', 'committee_external', 'electing', '4.3.15'),
    ('positions', 'update', 'assistant', 'elected', 'electing', '4.3.11.f'),
    ('positions', 'update', 'assistant', 'second_best', 'electing', '4.3.11.f'),
    ('positions', 'update', 'assistant', 'department', 'before_open', ''),
    ('positions', 'update', 'assistant', 'description', 'before_open', ''),
    ('positions', 'update', 'assistant', 'discipline', 'before_open', ''),
    ('positions', 'update', 'assistant', 'ends_at', 'before_open', '4.3.11.c'),
    ('positions', 'update', 'assistant', 'fek', 'before_open', ''),
    ('positions', 'update', 'assistant', 'fek_posted_at', 'before_open', ''),
    ('positions', 'update', 'assistant', 'starts_at', 'before_open', '4.3.11.c'),
    ('positions', 'update', 'assistant', 'subject', 'before_open', ''),
    ('positions', 'update', 'assistant', 'subject_area', 'before_open', ''),
    ('positions', 'update', 'assistant', 'title', 'before_open', ''),
    ('positions', 'update', 'assistant', 'rank', 'before_open', ''),
    ('positions', 'update', 'assistant', 'state', 'before_open', '4.3.11.b'),
    ('positions', 'update', 'assistant', 'state', 'electing', '4.3.11.g, 4.3.11.h'),
    ('positions', 'update', 'assistant', 'state', 'after_closed', ''),
    ('positions', 'update', 'assistant', 'state', 'revoked', ''),
    ('positions', 'update', 'assistant', 'electors_meeting_to_set_committee_date', 'electing', ''),
    ('positions', 'update', 'assistant', 'electors_meeting_date', 'electing', ''),
    ('positions', 'update', 'assistant', 'nomination_act_fek', 'electing', ''),
    ('positions', 'update', 'assistant', 'assistant_files', 'owned_by_assistant', ''),
    ('positions', 'update', 'helpdeskadmin', 'state', '*', ''),
    ('positions', 'update', 'helpdeskadmin', 'description', '*', ''),
    ('positions', 'update', 'helpdeskadmin', 'discipline', '*', ''),
    ('positions', 'update', 'helpdeskadmin', 'fek', '*', ''),
    ('positions', 'update', 'helpdeskadmin', 'fek_posted_at', '*', ''),
    ('positions', 'update', 'helpdeskadmin', 'subject', '*', ''),
    ('positions', 'update', 'helpdeskadmin', 'subject_area', '*', ''),
    ('positions', 'update', 'helpdeskadmin', 'title', '*', ''),
    ('positions', 'update', 'helpdeskadmin', 'department', '*', '#458'),
    ('positions', 'update', 'helpdeskadmin', 'ends_at', '*', '#458'),
    ('positions', 'update', 'helpdeskadmin', 'starts_at', '*', '#458'),
    ('positions', 'update', 'helpdeskadmin', 'rank', '*', '#458'),
    ('positions', 'update', 'helpdeskadmin', 'assistant_files', '*', ''),
    ('positions', 'update', 'helpdeskadmin', 'electors', 'electing', ''),
    ('positions', 'update', 'helpdeskadmin', 'electors_regular_internal', 'electing', ''),
    ('positions', 'update', 'helpdeskadmin', 'electors_regular_external', 'electing', ''),
    ('positions', 'update', 'helpdeskadmin', 'electors_sub_internal', 'electing', ''),
    ('positions', 'update', 'helpdeskadmin', 'electors_sub_external', 'electing', ''),
    ('positions', 'update', 'helpdeskadmin', 'electors_academy_regular', 'electing', ''),
    ('positions', 'update', 'helpdeskadmin', 'electors_academy_sub', 'electing', ''),
    ('positions', 'update', 'helpdeskadmin', 'committee', 'electing', '4.3.15'),
    ('positions', 'update', 'helpdeskadmin', 'committee_internal', 'electing', '4.3.15'),
    ('positions', 'update', 'helpdeskadmin', 'committee_external', 'electing', '4.3.15'),
    ('positions', 'update', 'helpdeskadmin', 'nomination_act_fek', '*', ''),
    ('positions', 'update', 'helpdeskadmin', 'elected', '*', '#458'),
    ('positions', 'update', 'helpdeskadmin', 'second_best', '*', '#458'),
    ('positions', 'partial_update', 'helpdeskadmin', 'state', '*', '5.2.4'),
    ('positions', 'partial_update', 'helpdeskadmin', 'description', '*', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'discipline', '*', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'fek', '*', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'fek_posted_at', '*', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'subject', '*', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'subject_area', '*', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'title', '*', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'ends_at', '*', '#458'),
    ('positions', 'partial_update', 'helpdeskadmin', 'starts_at', '*', '#458'),
    ('positions', 'partial_update', 'helpdeskadmin', 'department', '*', '#458'),
    ('positions', 'partial_update', 'helpdeskadmin', 'rank', '*', '#458'),
    ('positions', 'partial_update', 'helpdeskadmin', 'nomination_act_fek', '*', ''),
    ('positions', 'partial_update', 'helpdeskadmin', 'elected', '*', '#458'),
    ('positions', 'partial_update', 'helpdeskadmin', 'second_best', '*', '#458'),
    ('positions', 'partial_update', 'institutionmanager', 'electors', 'electing', '4.3.15'),
    ('positions', 'partial_update', 'institutionmanager', 'committee', 'electing', '4.3.15'),
    ('positions', 'partial_update', 'institutionmanager', 'elected', 'electing', '4.3.11.f'),
    ('positions', 'partial_update', 'institutionmanager', 'second_best', 'electing', ''),
    ('positions', 'partial_update', 'institutionmanager', 'department', 'before_open', ''),
    ('positions', 'partial_update', 'institutionmanager', 'description', 'before_open', ''),
    ('positions', 'partial_update', 'institutionmanager', 'discipline', 'before_open', ''),
    ('positions', 'partial_update', 'institutionmanager', 'ends_at', 'before_open', '4.3.11.c'),
    ('positions', 'partial_update', 'institutionmanager', 'fek', 'before_open', ''),
    ('positions', 'partial_update', 'institutionmanager', 'fek_posted_at', 'before_open', ''),
    ('positions', 'partial_update', 'institutionmanager', 'starts_at', 'before_open', '4.3.11.c'),
    ('positions', 'partial_update', 'institutionmanager', 'subject', 'before_open', ''),
    ('positions', 'partial_update', 'institutionmanager', 'subject_area', 'before_open', ''),
    ('positions', 'partial_update', 'institutionmanager', 'title', 'before_open', ''),
    ('positions', 'partial_update', 'institutionmanager', 'rank', 'before_open', ''),
    ('positions', 'partial_update', 'institutionmanager', 'state', 'before_open', '4.3.11.b'),
    ('positions', 'partial_update', 'institutionmanager', 'state', 'after_closed', ''),
    ('positions', 'partial_update', 'institutionmanager', 'state', 'electing', '4.3.11.g, 4.3.11.h'),
    ('positions', 'partial_update', 'institutionmanager', 'electors_meeting_to_set_committee_date', 'electing', ''),
    ('positions', 'partial_update', 'institutionmanager', 'electors_meeting_date', 'electing', ''),
    ('positions', 'partial_update', 'institutionmanager', 'nomination_act_fek', 'electing', ''),
    ('positions', 'partial_update', 'assistant', 'committee', 'electing', '4.3.15'),
    ('positions', 'partial_update', 'assistant', 'elected', 'electing', '4.3.11.f'),
    ('positions', 'partial_update', 'assistant', 'second_best', 'electing', ''),
    ('positions', 'partial_update', 'assistant', 'department', 'before_open', ''),
    ('positions', 'partial_update', 'assistant', 'description', 'before_open', ''),
    ('positions', 'partial_update', 'assistant', 'discipline', 'before_open', ''),
    ('positions', 'partial_update', 'assistant', 'ends_at', 'before_open', '4.3.11.c'),
    ('positions', 'partial_update', 'assistant', 'fek', 'before_open', ''),
    ('positions', 'partial_update', 'assistant', 'fek_posted_at', 'before_open', ''),
    ('positions', 'partial_update', 'assistant', 'starts_at', 'before_open', '4.3.11.c'),
    ('positions', 'partial_update', 'assistant', 'subject', 'before_open', ''),
    ('positions', 'partial_update', 'assistant', 'subject_area', 'before_open', ''),
    ('positions', 'partial_update', 'assistant', 'title', 'before_open', ''),
    ('positions', 'partial_update', 'assistant', 'rank', 'before_open', ''),
    ('positions', 'partial_update', 'assistant', 'state', 'before_open', '4.3.11.b'),
    ('positions', 'partial_update', 'assistant', 'state', 'electing', '4.3.11.g, 4.3.11.h'),
    ('positions', 'partial_update', 'assistant', 'electors_meeting_to_set_committee_date', 'electing', ''),
    ('positions', 'partial_update', 'assistant', 'electors_meeting_date', 'electing', ''),
    ('positions', 'partial_update', 'assistant', 'nomination_act_fek', 'electing', ''),
    ('positions', 'retrieve', 'assistant', '*', 'research_can_create', '#204'),
    ('positions', 'retrieve', 'candidate', '*', '*', '3.3.4'),
    ('positions', 'retrieve', 'helpdeskadmin', '*', '*', '5.14'),
    ('positions', 'retrieve', 'helpdeskuser', '*', '*', '5.14'),
    ('positions', 'retrieve', 'institutionmanager', '*', 'owned', '4.3.9'),
    ('positions', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('positions', 'retrieve', 'yyet', '*', '*', 'T3713'),
    ('positions', 'retrieve', 'professor', '*', 'open', '1.3'),
    ('positions', 'retrieve', 'professor', '*', '*', '1.3'),
    ('positions', 'history', 'institutionmanager', '*', 'owned', '4.3.9'),
    ('positions', 'history', 'assistant', '*', '*', '4.3.9'),
    ('positions', 'history', 'candidate', '*', '*', '4.3.9'),
    ('positions', 'history', 'helpdeskadmin', '*', '*', '4.3.9'),
    ('positions', 'history', 'helpdeskuser', '*', '*', '4.3.9'),
    ('positions', 'history', 'ministry', '*', '*', 'T2217'),
    ('positions', 'history', 'yyet', '*', '*', ''),
    ('positions', 'history', 'professor', '*', '*', '4.3.9'),
    ('positions', 'edit_fields', 'helpdeskadmin', '*', '*', '#155'),
    ('positions', 'upload', 'institutionmanager', '*', 'owned', ''),
    ('positions', 'upload', 'assistant', '*', 'owned_by_assistant', ''),
    ('positions', 'upload', 'helpdeskadmin', '*', '*', ''),
    ('professors', 'report', 'institutionmanager', '*', '*', ''),
    ('professors', 'report', 'assistant', '*', '*', ''),
    ('professors', 'report', 'ministry', '*', '*', ''),
    ('professors', 'report', 'yyet', '*', '*', 'T3713'),
    ('professors', 'report', 'helpdeskadmin', '*', '*', ''),
    ('professors', 'list', 'assistant', '*', '*', ''),
    ('professors', 'list', 'helpdeskadmin', '*', '*', '5.1.2'),
    ('professors', 'list', 'helpdeskuser', '*', '*', '5.1.2'),
    ('professors', 'list', 'institutionmanager', '*', '*', ''),
    ('professors', 'list', 'ministry', '*', '*', 'T2217'),
    ('professors', 'list', 'yyet', '*', '*', 'T3713'),
    ('professors', 'update', 'helpdeskadmin', 'user/first_name/el', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskadmin', 'user/first_name/en', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskadmin', 'user/last_name/el', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskadmin', 'user/last_name/en', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskadmin', 'user/father_name/el', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskadmin', 'user/father_name/en', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskadmin', 'user/id_passport', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskadmin', 'user/home_phone_number', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskadmin', 'user/mobile_phone_number', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskadmin', 'institution', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskadmin', 'institution_freetext', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskadmin', 'department', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskadmin', 'rank', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskadmin', 'is_foreign', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskadmin', 'speaks_greek', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskadmin', 'cv_url', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskadmin', 'cv_professor', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskadmin', 'fek', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskadmin', 'discipline_text', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskadmin', 'discipline_in_fek', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskadmin', 'is_disabled', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskadmin', 'disabled_by_helpdesk', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskadmin', 'is_existing_academy_member', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskadmin', 'current_contract', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskadmin', 'synced_id_file', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskadmin', 'ad_personam', '*', 'dlapella-30'),
    ('professors', 'update', 'helpdeskuser', 'user/first_name/el', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskuser', 'user/first_name/en', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskuser', 'user/last_name/el', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskuser', 'user/last_name/en', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskuser', 'user/father_name/el', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskuser', 'user/father_name/en', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskuser', 'user/id_passport', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskuser', 'user/home_phone_number', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskuser', 'user/mobile_phone_number', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskuser', 'user', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskuser', 'institution', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskuser', 'institution_freetext', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskuser', 'department', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskuser', 'rank', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskuser', 'is_foreign', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskuser', 'speaks_greek', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskuser', 'cv_url', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskuser', 'cv_professor', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskuser', 'fek', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskuser', 'discipline_text', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskuser', 'discipline_in_fek', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskuser', 'is_disabled', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskuser', 'disabled_by_helpdesk', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskuser', 'is_existing_academy_member', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskuser', 'current_contract', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskuser', 'synced_id_file', '*', '5.1.5'),
    ('professors', 'update', 'helpdeskuser', 'ad_personam', '*', ''),
    ('professors', 'update', 'professor', 'rank', 'owned', ''),
    ('professors', 'update', 'institutionmanager', 'leave_starts_at', 'owned_by_manager', ''),
    ('professors', 'update', 'institutionmanager', 'leave_ends_at', 'owned_by_manager', ''),
    ('professors', 'update', 'institutionmanager', 'leave_file', 'owned_by_manager', ''),
    ('professors', 'update', 'institutionmanager', 'ad_personam', 'owned_by_manager', ''),
    ('professors', 'update', 'institutionmanager', 'rank', 'owned_by_manager', ''),
    ('professors', 'update', 'institutionmanager', 'fek', 'owned_by_manager', ''),
    ('professors', 'update', 'institutionmanager', 'discipline_text', 'owned_by_manager', ''),
    ('professors', 'update', 'institutionmanager', 'discipline_in_fek', 'owned_by_manager', ''),
    ('professors', 'update', 'assistant', 'leave_starts_at', 'owned_by_manager', ''),
    ('professors', 'update', 'assistant', 'leave_ends_at', 'owned_by_manager', ''),
    ('professors', 'update', 'assistant', 'leave_file', 'owned_by_manager', ''),
    ('professors', 'update', 'assistant', 'ad_personam', 'owned_by_manager', ''),
    ('professors', 'update', 'assistant', 'rank', 'owned_by_manager', ''),
    ('professors', 'update', 'assistant', 'fek', 'owned_by_manager', ''),
    ('professors', 'update', 'assistant', 'discipline_text', 'owned_by_manager', ''),
     ('professors', 'update', 'assistant', 'discipline_in_fek', 'owned_by_manager', ''),
    ('professors', 'partial_update', 'helpdeskadmin', 'user/first_name/el', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskadmin', 'user/first_name/en', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskadmin', 'user/last_name/el', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskadmin', 'user/last_name/en', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskadmin', 'user/father_name/el', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskadmin', 'user/father_name/en', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskadmin', 'user/id_passport', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskadmin', 'user/home_phone_number', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskadmin', 'user/mobile_phone_number', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskadmin', 'user', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskadmin', 'institution', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskadmin', 'institution_freetext', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskadmin', 'department', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskadmin', 'rank', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskadmin', 'is_foreign', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskadmin', 'speaks_greek', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskadmin', 'cv_url', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskadmin', 'cv_professor', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskadmin', 'fek', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskadmin', 'discipline_text', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskadmin', 'discipline_in_fek', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskadmin', 'is_disabled', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskadmin', 'disabled_by_helpdesk', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskadmin', 'is_existing_academy_member', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskadmin', 'current_contract', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskadmin', 'synced_id_file', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskadmin', 'ad_personam', '*', ''),
    ('professors', 'partial_update', 'helpdeskuser', 'user/first_name/el', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskuser', 'user/first_name/en', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskuser', 'user/last_name/el', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskuser', 'user/last_name/en', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskuser', 'user/father_name/el', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskuser', 'user/father_name/en', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskuser', 'user/id_passport', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskuser', 'user/home_phone_number', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskuser', 'user/mobile_phone_number', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskuser', 'user', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskuser', 'institution', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskuser', 'institution_freetext', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskuser', 'department', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskuser', 'rank', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskuser', 'is_foreign', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskuser', 'speaks_greek', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskuser', 'cv_url', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskuser', 'cv_professor', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskuser', 'fek', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskuser', 'discipline_text', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskuser', 'discipline_in_fek', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskuser', 'is_disabled', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskuser', 'disabled_by_helpdesk', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskuser', 'is_existing_academy_member', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskuser', 'current_contract', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskuser', 'synced_id_file', '*', '5.1.5'),
    ('professors', 'partial_update', 'helpdeskuser', 'ad_personam', '*', ''),
    ('professors', 'partial_update', 'professor', 'rank', 'owned', ''),
    ('professors', 'partial_update', 'institutionmanager', 'leave_starts_at', 'owned_by_manager', ''),
    ('professors', 'partial_update', 'institutionmanager', 'leave_ends_at', 'owned_by_manager', ''),
    ('professors', 'partial_update', 'institutionmanager', 'leave_file', 'owned_by_manager', ''),
    ('professors', 'partial_update', 'institutionmanager', 'ad_personam', 'owned_by_manager', ''),
    ('professors', 'partial_update', 'institutionmanager', 'rank', 'owned_by_manager', ''),
    ('professors', 'partial_update', 'institutionmanager', 'fek', 'owned_by_manager', ''),
    ('professors', 'partial_update', 'institutionmanager', 'discipline_text', 'owned_by_manager', ''),
    ('professors', 'partial_update', 'institutionmanager', 'discipline_in_fek', 'owned_by_manager', ''),
    ('professors', 'partial_update', 'assistant', 'leave_starts_at', 'owned_by_manager', ''),
    ('professors', 'partial_update', 'assistant', 'leave_ends_at', 'owned_by_manager', ''),
    ('professors', 'partial_update', 'assistant', 'leave_file', 'owned_by_manager', ''),
    ('professors', 'partial_update', 'assistant', 'ad_personam', 'owned_by_manager', ''),
    ('professors', 'partial_update', 'assistant', 'rank', 'owned_by_manager', ''),
    ('professors', 'partial_update', 'assistant', 'fek', 'owned_by_manager', ''),
    ('professors', 'partial_update', 'assistant', 'discipline_text', 'owned_by_manager', ''),
    ('professors', 'partial_update', 'assistant', 'discipline_in_fek', 'owned_by_manager', ''),
    ('professors', 'retrieve', 'assistant', '*', '*', ''),
    ('professors', 'retrieve', 'helpdeskadmin', '*', '*', '5.1.3'),
    ('professors', 'retrieve', 'helpdeskuser', '*', '*', '5.1.3'),
    ('professors', 'retrieve', 'institutionmanager', '*', '*', ''),
    ('professors', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('professors', 'retrieve', 'yyet', '*', '*', 'T3713'),
    ('professors', 'retrieve', 'professor', '*', 'owned', ''),
    ('professors', 'retrieve', 'professor', '*', 'participates', ''),
    ('professors', 'retrieve', 'candidate', '*', 'participates', ''),
    ('professors', 'upload', 'professor', '*', 'owned', ''),
    ('professors', 'upload', 'helpdeskadmin', '*', '*', ''),
    ('professors', 'upload', 'helpdeskuser', '*', '*', ''),
    ('professors', 'upload', 'institutionmanager', '*', 'owned_by_manager', ''),
    ('professors', 'upload', 'assistant', '*', 'owned_by_manager', ''),
    ('professors', 'sync_candidacies', 'professor', '*', 'owned', ''),
    ('professors', 'sync_candidacies_id_file', 'professor', '*', 'owned', ''),
    ('professors', 'request_verification', 'professor', '*', 'owned', ''),
    ('professors', 'request_changes', 'helpdeskadmin', '*', '*', ''),
    ('professors', 'request_changes', 'helpdeskuser', '*', '*', ''),
    ('professors', 'verify_user', 'helpdeskadmin', '*', '*', ''),
    ('professors', 'verify_user', 'helpdeskuser', '*', '*', ''),
    ('professors', 'reject_user', 'helpdeskadmin', '*', '*', ''),
    ('professors', 'reject_user', 'helpdeskuser', '*', '*', ''),
    ('professors', 'disable_professor', 'helpdeskadmin', '*', '*', ''),
    ('professors', 'disable_professor', 'helpdeskuser', '*', '*', ''),
    ('professors', 'disable_professor', 'professor', '*', 'owned', ''),
    ('professors', 'enable_professor', 'helpdeskadmin', '*', '*', ''),
    ('professors', 'enable_professor', 'helpdeskuser', '*', '*', ''),
    ('professors', 'enable_professor', 'professor', '*', 'owned', ''),
    ('professors', 'participations', 'helpdeskadmin', '*', '*', '#113'),
    ('professors', 'downgrade_role', 'helpdeskadmin', '*', '*', '#110'),
    ('registries', 'report', 'helpdeskadmin', '*', '*', ''),
    ('registries', 'report', 'helpdeskuser', '*', '*', ''),
    ('registries', 'report', 'institutionmanager', '*', '*', ''),
    ('registries', 'report', 'assistant', '*', '*', ''),
    ('registries', 'report_summary', 'helpdeskadmin', '*', '*', ''),
    ('registries', 'create', 'institutionmanager', '*', 'can_create', '4.3.3'),
    ('registries', 'create', 'assistant', '*', 'can_create', 'T1721'),
    ('registries', 'list', 'candidate', '*', '*', '3.3.9'),
    ('registries', 'list', 'helpdeskadmin', '*', '*', '5.1.9'),
    ('registries', 'list', 'helpdeskuser', '*', '*', '5.1.9'),
    ('registries', 'list', 'institutionmanager', '*', '*', '4.3.1'),
    ('registries', 'list', 'assistant', '*', '*', 'T1721'),
    ('registries', 'list', 'ministry', '*', '*', 'T2217'),
    ('registries', 'list', 'yyet', '*', '*', 'T3713'),
    ('registries', 'list', 'professor', '*', '*', '1.3.14'),
    ('registries', 'retrieve', 'candidate', '*', '*', '3.3.9'),
    ('registries', 'retrieve', 'helpdeskadmin', '*', '*', '5.1.9'),
    ('registries', 'retrieve', 'helpdeskuser', '*', '*', '5.1.9'),
    ('registries', 'retrieve', 'institutionmanager', '*', '*', '4.3.1'),
    ('registries', 'retrieve', 'assistant', '*', '*', ''),
    ('registries', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('registries', 'retrieve', 'yyet', '*', '*', 'T3713'),
    ('registries', 'retrieve', 'professor', '*', '*', '1.3.14'),
    ('registries', 'update', 'institutionmanager', 'type', 'owned', '4.3.6'),
    ('registries', 'update', 'institutionmanager', 'registry_set_decision_file', 'owned', '4.3.6'),
    ('registries', 'update', 'assistant', 'type', 'can_create_owned', '4.3.6'),
    ('registries', 'update', 'assistant', 'registry_set_decision_file', 'can_create_owned', ''),
    ('registries', 'partial_update', 'institutionmanager', 'registry_set_decision_file', 'owned', '4.3.6'),
    ('registries', 'partial_update', 'assistant', 'registry_set_decision_file', 'can_create_owned', ''),
    ('registries', 'update', 'helpdeskadmin', '*', '*', ''),
    ('registries', 'partial_update', 'helpdeskadmin', '*', '*', ''),
    ('registries', 'upload', 'institutionmanager', '*', '*', ''),
    ('registries', 'upload', 'assistant', '*', 'can_create_owned', ''),
    ('schools', 'create', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('schools', 'destroy', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('schools', 'list', 'assistant', '*', '*', ''),
    ('schools', 'list', 'candidate', '*', '*', ''),
    ('schools', 'list', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('schools', 'list', 'helpdeskuser', '*', '*', '5.2.5'),
    ('schools', 'list', 'institutionmanager', '*', '*', '4.3.21'),
    ('schools', 'list', 'ministry', '*', '*', 'T2217'),
    ('schools', 'list', 'yyet', '*', '*', ''),
    ('schools', 'list', 'professor', '*', '*', '1.3.14'),
    ('schools', 'update', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('schools', 'partial_update', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('schools', 'retrieve', 'assistant', '*', '*', ''),
    ('schools', 'retrieve', 'candidate', '*', '*', '3.3.1'),
    ('schools', 'retrieve', 'helpdeskadmin', '*', '*', '5.2.5'),
    ('schools', 'retrieve', 'helpdeskuser', '*', '*', '5.2.5'),
    ('schools', 'retrieve', 'institutionmanager', '*', '*', '4.3.10'),
    ('schools', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('schools', 'retrieve', 'yyet', '*', '*', ''),
    ('schools', 'retrieve', 'professor', '*', '*', '1.2.1'),
    ('subject-areas', 'create', 'helpdeskadmin', '*', '*', ''),
    ('subject-areas', 'destroy', 'helpdeskadmin', '*', '*', ''),
    ('subject-areas', 'list', 'assistant', '*', '*', ''),
    ('subject-areas', 'list', 'candidate', '*', '*', '3.3.1'),
    ('subject-areas', 'list', 'helpdeskadmin', '*', '*', ''),
    ('subject-areas', 'list', 'helpdeskuser', '*', '*', ''),
    ('subject-areas', 'list', 'institutionmanager', '*', '*', '4.3.10'),
    ('subject-areas', 'list', 'professor', '*', '*', '3.3.1'),
    ('subject-areas', 'retrieve', 'assistant', '*', '*', ''),
    ('subject-areas', 'retrieve', 'candidate', '*', '*', '3.3.2'),
    ('subject-areas', 'retrieve', 'helpdeskadmin', '*', '*', ''),
    ('subject-areas', 'retrieve', 'helpdeskuser', '*', '*', ''),
    ('subject-areas', 'retrieve', 'institutionmanager', '*', '*', '4.3.10'),
    ('subject-areas', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('subject-areas', 'retrieve', 'yyet', '*', '*', ''),
    ('subject-areas', 'retrieve', 'professor', '*', '*', '1.3.3'),
    ('subject-areas', 'update', 'helpdeskadmin', '*', '*', ''),
    ('subject-areas', 'partial_update', 'helpdeskadmin', '*', '*', ''),
    ('subjects', 'create', 'helpdeskadmin', '*', '*', ''),
    ('subjects', 'destroy', 'helpdeskadmin', '*', '*', ''),
    ('subjects', 'list', 'assistant', '*', '*', ''),
    ('subjects', 'list', 'candidate', '*', '*', '3.3.1'),
    ('subjects', 'list', 'helpdeskadmin', '*', '*', ''),
    ('subjects', 'list', 'helpdeskuser', '*', '*', ''),
    ('subjects', 'list', 'institutionmanager', '*', '*', '4.3.10'),
    ('subjects', 'list', 'professor', '*', '*', '3.3.1'),
    ('subjects', 'retrieve', 'assistant', '*', '*', ''),
    ('subjects', 'retrieve', 'candidate', '*', '*', '3.3.2'),
    ('subjects', 'retrieve', 'helpdeskadmin', '*', '*', ''),
    ('subjects', 'retrieve', 'helpdeskuser', '*', '*', ''),
    ('subjects', 'retrieve', 'institutionmanager', '*', '*', '4.3.10'),
    ('subjects', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('subjects', 'retrieve', 'yyet', '*', '*', 'T2217'),
    ('subjects', 'retrieve', 'professor', '*', '*', '1.3.3'),
    ('subjects', 'update', 'helpdeskadmin', '*', '*', ''),
    ('subjects', 'partial_update', 'helpdeskadmin', '*', '*', ''),
    ('subjects', 'report', 'helpdeskadmin', '*', '*', ''),
    ('user-interests', 'create', 'professor', '*', '*', ''),
    ('user-interests', 'list', 'professor', '*', '*', ''),
    ('user-interests', 'retrieve', 'professor', '*', 'owned', ''),
    ('user-interests', 'update', 'professor', '*', 'owned', ''),
    ('user-interests', 'partial_update', 'professor', '*', 'owned', ''),
    ('user-interests', 'create', 'candidate', '*', '*', ''),
    ('user-interests', 'list', 'candidate', '*', '*', ''),
    ('user-interests', 'retrieve', 'candidate', '*', 'owned', ''),
    ('user-interests', 'update', 'candidate', '*', 'owned', ''),
    ('user-interests', 'partial_update', 'candidate', '*', 'owned', ''),
    ('users', 'retrieve', 'professor', '*', 'owned', ''),
    ('users', 'retrieve', 'professor', 'email', 'is_cocandidate', ''),
    ('users', 'retrieve', 'professor', 'first_name/el', 'is_cocandidate', ''),
    ('users', 'retrieve', 'professor', 'first_name/en', 'is_cocandidate', ''),
    ('users', 'retrieve', 'professor', 'last_name/el', 'is_cocandidate', ''),
    ('users', 'retrieve', 'professor', 'last_name/en', 'is_cocandidate', ''),
    ('users', 'retrieve', 'professor', 'father_name/el', 'is_cocandidate', ''),
    ('users', 'retrieve', 'professor', 'father_name/en', 'is_cocandidate', ''),
    ('users', 'retrieve', 'professor', 'old_user_id', 'is_cocandidate', ''),
    ('users', 'retrieve', 'professor', 'id', 'is_cocandidate', ''),
    ('users', 'retrieve', 'professor', '*', 'is_dep_candidate', ''),
    ('users', 'retrieve', 'candidate', '*', 'owned', ''),
    ('users', 'retrieve', 'candidate', 'email', 'is_cocandidate', ''),
    ('users', 'retrieve', 'candidate', 'first_name/el', 'is_cocandidate', ''),
    ('users', 'retrieve', 'candidate', 'last_name/el', 'is_cocandidate', ''),
    ('users', 'retrieve', 'candidate', 'first_name/en', 'is_cocandidate', ''),
    ('users', 'retrieve', 'candidate', 'last_name/en', 'is_cocandidate', ''),
    ('users', 'retrieve', 'candidate', 'father_name/el', 'is_cocandidate', ''),
    ('users', 'retrieve', 'candidate', 'father_name/en', 'is_cocandidate', ''),
    ('users', 'retrieve', 'candidate', 'old_user_id', 'is_cocandidate', ''),
    ('users', 'retrieve', 'candidate', 'id', 'is_cocandidate', ''),
    ('users', 'retrieve', 'assistant', '*', 'owned', ''),
    ('users', 'retrieve', 'institutionmanager', '*', 'owned', ''),
    ('users', 'retrieve', 'assistant', '*', 'is_candidate', ''),
    ('users', 'retrieve', 'institutionmanager', '*', 'is_candidate', ''),
    ('users', 'retrieve', 'helpdeskadmin', '*', '*', ''),
    ('users', 'retrieve', 'helpdeskuser', '*', '*', ''),
    ('users', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('users', 'retrieve', 'yyet', '*', '*', ''),
    ('users', 'list', 'helpdeskadmin', '*', '*', ''),
    ('users', 'list', 'helpdeskuser', '*', '*', ''),
    ('users', 'update', 'helpdeskuser', 'is_active', '*', ''),
    ('users', 'update', 'helpdeskadmin', 'is_active', '*', ''),
    ('users', 'partial_update', 'helpdeskadmin', 'is_active', '*', ''),
    ('users', 'partial_update', 'helpdeskuser', 'is_active', '*', ''),
    ('users', 'update', 'helpdeskadmin', 'first_name/el', '*', ''),
    ('users', 'update', 'helpdeskadmin', 'first_name/en', '*', ''),
    ('users', 'update', 'helpdeskadmin', 'last_name/el', '*', ''),
    ('users', 'update', 'helpdeskadmin', 'last_name/en', '*', ''),
    ('users', 'update', 'helpdeskadmin', 'father_name/el', '*', ''),
    ('users', 'update', 'helpdeskadmin', 'father_name/en', '*', ''),
    ('users', 'update', 'helpdeskadmin', 'id_passport', '*', ''),
    ('users', 'update', 'helpdeskadmin', 'mobile_phone_number', '*', ''),
    ('users', 'update', 'helpdeskadmin', 'home_phone_number', '*', ''),
    ('users', 'update', 'helpdeskadmin', 'email', '*', ''),
    ('users', 'update', 'helpdeskuser', 'first_name/el', '*', ''),
    ('users', 'update', 'helpdeskuser', 'first_name/en', '*', ''),
    ('users', 'update', 'helpdeskuser', 'last_name/el', '*', ''),
    ('users', 'update', 'helpdeskuser', 'last_name/en', '*', ''),
    ('users', 'update', 'helpdeskuser', 'father_name/el', '*', ''),
    ('users', 'update', 'helpdeskuser', 'father_name/en', '*', ''),
    ('users', 'update', 'helpdeskuser', 'id_passport', '*', ''),
    ('users', 'update', 'helpdeskuser', 'mobile_phone_number', '*', ''),
    ('users', 'update', 'helpdeskuser', 'home_phone_number', '*', ''),
    ('users', 'update', 'helpdeskuser', 'email', '*', ''),
    ('users', 'accept_terms', '*', '*', 'owned', ''),
    ('users', 'release_shibboleth', 'helpdeskadmin', '*', '*', ''),
    ('apella-files', 'list', 'helpdeskadmin', '*', '*', ''),
    ('apella-files', 'list', 'helpdeskuser', '*', '*', ''),
    ('apella-files', 'list', 'candidate', '*', '*', ''),
    ('apella-files', 'list', 'professor', '*', '*', ''),
    ('apella-files', 'list', 'institutionmanager', '*', '*', ''),
    ('apella-files', 'list', 'assistant', '*', '*', ''),
    ('apella-files', 'list', 'ministry', '*', '*', ''),
    ('apella-files', 'list', 'yyet', '*', '*', ''),
    ('apella-files', 'download_head', 'helpdeskadmin', '*', '*', ''),
    ('apella-files', 'download_head', 'helpdeskuser', '*', '*', ''),
    ('apella-files', 'download_head', 'ministry', '*', '*', 'T2217'),
    ('apella-files', 'download_head', 'yyet', '*', '*', ''),
    ('apella-files', 'download_head', 'candidate', '*', 'owned', ''),
    ('apella-files', 'download_head', 'candidate', '*', 'others_can_view', ''),
    ('apella-files', 'download_head', 'candidate', '*', 'is_candidate', ''),
    ('apella-files', 'download_head', 'professor', '*', 'owned', ''),
    ('apella-files', 'download_head', 'professor', '*', 'others_can_view', ''),
    ('apella-files', 'download_head', 'professor', '*', 'participates', ''),
    ('apella-files', 'download_head', 'institutionmanager', '*', 'owned_by_manager', ''),
    ('apella-files', 'download_head', 'assistant', '*', 'owned_by_manager', ''),
    ('apella-files', 'download_head', 'candidate', '*', 'public_file', ''),
    ('apella-files', 'download_head', 'professor', '*', 'public_file', ''),
    ('apella-files', 'download_head', 'assistant', '*', 'public_file', ''),
    ('apella-files', 'download_head', 'institutionmanager', '*', 'public_file', ''),
    ('apella-files', 'download_head', 'professor', '*', 'own_leave_file', ''),
    ('apella-files', 'download_get', '*', '*', '*', ''),
    ('apella-files', 'destroy', 'professor', '*', 'owned_free', ''),
    ('apella-files', 'destroy', 'candidate', '*', 'owned_free', ''),
    ('apella-files', 'destroy', 'institutionmanager', '*', 'owned_free', ''),
    ('apella-files', 'destroy', 'assistant', '*', 'owned_free', ''),
    ('apella-files', 'destroy', 'ministry', '*', 'owned_free', ''),
    ('apella-files', 'destroy', 'helpdeskadmin', '*', 'free', ''),
    ('apella-files', 'destroy', 'helpdeskadmin', '*', 'position_free', ''),
    ('apella-files', 'destroy', 'helpdeskuser', '*', 'free', ''),
    ('old-users', 'list', 'helpdeskadmin', '*', '*', ''),
    ('old-users', 'list', 'helpdeskuser', '*', '*', ''),
    ('old-users', 'retrieve', 'helpdeskadmin', '*', '*', ''),
    ('old-users', 'retrieve', 'helpdeskuser', '*', '*', ''),
    ('positions-portal', 'list', 'anonymous', '*', '*', ''),
    ('positions-portal', 'retrieve', 'anonymous', '*', '*', ''),
    ('user-applications', 'create', 'professor', '*', 'can_create', ''),
    ('user-applications', 'create', 'helpdeskadmin', '*', '*', ''),
    ('user-applications', 'list', 'helpdeskadmin', '*', '*', ''),
    ('user-applications', 'list', 'professor', '*', '*', ''),
    ('user-applications', 'list', 'helpdeskuser', '*', '*', ''),
    ('user-applications', 'list', 'institutionmanager', '*', '*', ''),
    ('user-applications', 'list', 'assistant', '*', 'secretary_or_research', 'T3815, #204'),
    ('user-applications', 'list', 'yyet', '*', '*', 'T3713'),
    ('user-applications', 'retrieve', 'helpdeskadmin', '*', '*', ''),
    ('user-applications', 'retrieve', 'helpdeskuser', '*', '*', ''),
    ('user-applications', 'retrieve', 'professor', '*', '*', ''),
    ('user-applications', 'retrieve', 'institutionmanager', '*', '*', ''),
    ('user-applications', 'retrieve', 'assistant', '*', 'secretary_or_research', 'T3815'),
    ('user-applications', 'retrieve', 'yyet', '*', '*', 'T3713'),
    ('user-applications', 'accept_application', 'institutionmanager', '*', 'owned', ''),
    ('user-applications', 'accept_application', 'assistant', '*', 'owned', ''),
    ('user-applications', 'reject_application', 'institutionmanager', '*', 'owned', ''),
    ('user-applications', 'reject_application', 'assistant', '*', 'owned', ''),
    ('jira-issues', 'list', 'helpdeskadmin', '*', '*', ''),
    ('jira-issues', 'list', 'helpdeskuser', '*', '*', ''),
    ('jira-issues', 'list', 'institutionmanager', '*', '*', ''),
    ('jira-issues', 'list', 'assistant', '*', '*', ''),
    ('jira-issues', 'list', 'professor', '*', '*', ''),
    ('jira-issues', 'list', 'candidate', '*', '*', ''),
    ('jira-issues', 'list', 'unverified-user', '*', '*', ''),
    ('jira-issues', 'retrieve', 'helpdeskadmin', '*', '*', ''),
    ('jira-issues', 'retrieve', 'helpdeskuser', '*', '*', ''),
    ('jira-issues', 'retrieve', 'institutionmanager', '*', '*', ''),
    ('jira-issues', 'retrieve', 'assistant', '*', '*', ''),
    ('jira-issues', 'retrieve', 'professor', '*', '*', ''),
    ('jira-issues', 'retrieve', 'candidate', '*', '*', ''),
    ('jira-issues', 'retrieve', 'unverified-user', '*', '*', ''),
    ('jira-issues', 'create', 'professor', '*', '*', ''),
    ('jira-issues', 'create', 'candidate', '*', '*', ''),
    ('jira-issues', 'create', 'helpdeskadmin', '*', '*', ''),
    ('jira-issues', 'create', 'helpdeskuser', '*', '*', ''),
    ('jira-issues', 'create', 'institutionmanager', '*', '*', ''),
    ('jira-issues', 'create', 'assistant', '*', '*', ''),
    ('jira-issues', 'create', 'unverified-user', '*', '*', ''),
    ('registry-members', 'list', 'candidate', '*', '*', '3.3.9'),
    ('registry-members', 'list', 'helpdeskadmin', '*', '*', '5.1.9'),
    ('registry-members', 'list', 'helpdeskuser', '*', '*', '5.1.9'),
    ('registry-members', 'list', 'institutionmanager', '*', '*', '4.3.1'),
    ('registry-members', 'list', 'assistant', '*', '*', 'T1721'),
    ('registry-members', 'list', 'ministry', '*', '*', 'T2217'),
    ('registry-members', 'list', 'yyet', '*', '*', 'T3713'),
    ('registry-members', 'list', 'professor', '*', '*', '1.3.14'),
    ('registry-members', 'retrieve', 'candidate', '*', '*', '3.3.9'),
    ('registry-members', 'retrieve', 'helpdeskadmin', '*', '*', '5.1.9'),
    ('registry-members', 'retrieve', 'helpdeskuser', '*', '*', '5.1.9'),
    ('registry-members', 'retrieve', 'institutionmanager', '*', '*', '4.3.1'),
    ('registry-members', 'retrieve', 'assistant', '*', '*', ''),
    ('registry-members', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('registry-members', 'retrieve', 'yyet', '*', '*', 'T3713'),
    ('registry-members', 'retrieve', 'professor', '*', '*', '1.3.14'),
    ('registry-members', 'create', 'institutionmanager', '*', 'owned', '4.3.6'),
    ('registry-members', 'destroy', 'institutionmanager', '*', 'owned', '4.3.6'),
    ('registry-members', 'create', 'assistant', '*', 'can_create_owned', ''),
    ('registry-members', 'destroy', 'assistant', '*', 'can_create_owned', ''),
    ('registry-members', 'create', 'helpdeskadmin', '*', '*', ''),
    ('registry-members', 'destroy', 'helpdeskadmin', '*', '*', ''),
    ('registry-members', 'toggle_registry', 'helpdeskadmin', '*', '*', ''),
    ('foreign-diploma-details', 'list', 'candidate', '*', '*', ''),
    ('foreign-diploma-details', 'create', 'candidate', '*', '*', ''),
    ('foreign-diploma-details', 'create', 'helpdeskadmin', '*', '*', ''),
    ('foreign-diploma-details', 'update', 'helpdeskadmin', '*', '*', ''),
    ('foreign-diploma-details', 'upload', 'helpdeskadmin', '*', '*', ''),
    ('foreign-diploma-details', 'update', 'candidate', '*', 'owned', ''),
    ('foreign-diploma-details', 'retrieve', 'candidate', '*', 'owned', ''),
    ('foreign-diploma-details', 'retrieve', 'candidate', '*', 'others_can_view', ''),
    ('foreign-diploma-details', 'upload', 'candidate', '*', 'owned', ''),
    ('foreign-diploma-details', 'destroy', 'candidate', '*', 'owned', ''),
    ('foreign-diploma-details', 'list', 'professor', '*', '*', ''),
    ('foreign-diploma-details', 'create', 'professor', '*', '*', ''),
    ('foreign-diploma-details', 'update', 'professor', '*', 'owned', ''),
    ('foreign-diploma-details', 'retrieve', 'professor', '*', 'owned', ''),
    ('foreign-diploma-details', 'retrieve', 'professor', '*', 'relates', ''),
    ('foreign-diploma-details', 'retrieve', 'professor', '*', 'others_can_view', ''),
    ('foreign-diploma-details', 'create', 'unverified-user', '*', '*', ''),
    ('foreign-diploma-details', 'update', 'unverified-user', '*', 'owned', ''),
    ('foreign-diploma-details', 'retrieve', 'unverified-user', '*', 'owned', ''),
    ('foreign-diploma-details', 'upload', 'professor', '*', 'owned', ''),
    ('foreign-diploma-details', 'destroy', 'professor', '*', 'owned', ''),
    ('foreign-diploma-details', 'list', 'helpdeskadmin', '*', '*', ''),
    ('foreign-diploma-details', 'list', 'helpdeskuser', '*', '*', ''),
    ('foreign-diploma-details', 'list', 'institutionmanager', '*', '*', ''),
    ('foreign-diploma-details', 'list', 'assistant', '*', '*', ''),
    ('foreign-diploma-details', 'list', 'ministry', '*', '*', ''),
    ('foreign-diploma-details', 'list', 'yyet', '*', '*', ''),
    ('foreign-diploma-details', 'retrieve', 'institutionmanager', '*', 'owned', ''),
    ('foreign-diploma-details', 'retrieve', 'assistant', '*', 'owned', ''),
    ('foreign-diploma-details', 'retrieve', 'helpdeskadmin', '*', '*', ''),
    ('foreign-diploma-details', 'retrieve', 'helpdeskuser', '*', '*', ''),
    ('foreign-diploma-details', 'retrieve', 'ministry', '*', '*', ''),
    ('foreign-diploma-details', 'retrieve', 'yyet', '*', '*', ''),
    ('foreign-institutions', 'list', 'assistant', '*', '*', ''),
    ('foreign-institutions', 'list', 'candidate', '*', '*', '3.3.10'),
    ('foreign-institutions', 'list', 'helpdeskadmin', '*', '*', '5.8'),
    ('foreign-institutions', 'list', 'helpdeskuser', '*', '*', '5.8'),
    ('foreign-institutions', 'list', 'institutionmanager', '*', '*', '4.3.22'),
    ('foreign-institutions', 'list', 'ministry', '*', '*', 'T2217'),
    ('foreign-institutions', 'list', 'yyet', '*', '*', ''),
    ('foreign-institutions', 'list', 'professor', '*', '*', '1.3.15'),
    ('foreign-institutions', 'retrieve', 'assistant', '*', '*', ''),
    ('foreign-institutions', 'retrieve', 'candidate', '*', '*', '3.3.10'),
    ('foreign-institutions', 'retrieve', 'helpdeskadmin', '*', '*', '5.8'),
    ('foreign-institutions', 'retrieve', 'helpdeskuser', '*', '*', '5.8'),
    ('foreign-institutions', 'retrieve', 'institutionmanager', '*', '*', '4.3.22'),
    ('foreign-institutions', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('foreign-institutions', 'retrieve', 'yyet', '*', '*', ''),
    ('foreign-institutions', 'retrieve', 'professor', '*', '*', '1.3.15'),
    ('foreign-diploma-types', 'list', 'assistant', '*', '*', ''),
    ('foreign-diploma-types', 'list', 'candidate', '*', '*', '3.3.10'),
    ('foreign-diploma-types', 'list', 'helpdeskadmin', '*', '*', '5.8'),
    ('foreign-diploma-types', 'list', 'helpdeskuser', '*', '*', '5.8'),
    ('foreign-diploma-types', 'list', 'institutionmanager', '*', '*', '4.3.22'),
    ('foreign-diploma-types', 'list', 'ministry', '*', '*', 'T2217'),
    ('foreign-diploma-types', 'list', 'yyet', '*', '*', ''),
    ('foreign-diploma-types', 'list', 'professor', '*', '*', '1.3.15'),
    ('foreign-diploma-types', 'retrieve', 'assistant', '*', '*', ''),
    ('foreign-diploma-types', 'retrieve', 'candidate', '*', '*', '3.3.10'),
    ('foreign-diploma-types', 'retrieve', 'helpdeskadmin', '*', '*', '5.8'),
    ('foreign-diploma-types', 'retrieve', 'helpdeskuser', '*', '*', '5.8'),
    ('foreign-diploma-types', 'retrieve', 'institutionmanager', '*', '*', '4.3.22'),
    ('foreign-diploma-types', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('foreign-diploma-types', 'retrieve', 'yyet', '*', '*', ''),
    ('foreign-diploma-types', 'retrieve', 'professor', '*', '*', '1.3.15'),
    ('discipline-registries', 'list', 'helpdeskadmin', '*', '*', ''),
    ('discipline-registries', 'list', 'helpdeskuser', '*', '*', ''),
    ('discipline-registries', 'list', 'institutionmanager', '*', '*', ''),
    ('discipline-registries', 'list', 'assistant', '*', '*', ''),
    ('discipline-registries', 'list', 'ministry', '*', '*', ''),
    ('discipline-registries', 'list', 'professor', '*', '*', ''),
    ('discipline-registries', 'list', 'candidate', '*', '*', ''),
    ('discipline-registries', 'retrieve', 'helpdeskadmin', '*', '*', ''),
    ('discipline-registries', 'retrieve', 'helpdeskuser', '*', '*', ''),
    ('discipline-registries', 'retrieve', 'institutionmanager', '*', '*', ''),
    ('discipline-registries', 'retrieve', 'assistant', '*', '*', ''),
    ('discipline-registries', 'retrieve', 'ministry', '*', '*', ''),
    ('discipline-registries', 'retrieve', 'professor', '*', '*', ''),
    ('discipline-registries', 'retrieve', 'candidate', '*', '*', ''),
    ('discipline-registries', 'create', 'helpdeskadmin', '*', '*', ''),
    ('discipline-registries', 'create', 'institutionmanager', '*', 'can_create', ''),
    ('discipline-registries', 'create', 'assistant', '*', 'can_create', ''),
    ('discipline-registries', 'partial-update', 'institutionmanager', '*', '*', ''),
    ('discipline-registries', 'partial-update', 'assistant', '*', '*', ''),
    ('discipline-registries', 'partial-update', 'helpdeskadmin', '*', '*', ''),
    ('discipline-registries', 'update', 'institutionmanager', '*', 'can_edit', ''),
    ('discipline-registries', 'update', 'assistant', '*', 'can_edit', ''),
    ('discipline-registries', 'update', 'helpdeskadmin', '*', '*', ''),
    ('discipline-registries', 'upload', 'helpdeskadmin', '*', '*', ''),
    ('discipline-registries', 'upload', 'institutionmanager', '*', 'owned', ''),
    ('discipline-registries', 'upload', 'assistant', '*', 'owned', ''),
   # ('discipline-registries', 'activate', 'helpdeskadmin', '*', '*', ''),
   # ('discipline-registries', 'activate', 'institutionmanager', '*', 'owned', ''),
   # ('discipline-registries', 'activate', 'assistant', '*', 'owned', ''),
   # ('discipline-registries', 'deactivate', 'helpdeskadmin', '*', '*', ''),
   # ('discipline-registries', 'deactivate', 'institutionmanager', '*', 'owned', ''),
   # ('discipline-registries', 'deactivate', 'assistant', '*', 'owned', ''),
    ('discipline-registries', 'disciplines', 'helpdeskadmin', '*', '*', '#34'),
    ('discipline-registries', 'disciplines', 'helpdeskuser', '*', '*', '#34'),
    ('discipline-registries', 'disciplines', 'institutionmanager', '*', '*', '#34'),
    ('discipline-registries', 'disciplines', 'assistant', '*', '*', '#34'),
    ('discipline-registries', 'disciplines', 'ministry', '*', '*', '#34'),
    ('discipline-registries', 'report', 'helpdeskadmin', '*', '*', '#93'),
    ('discipline-registries', 'report', 'ministry', '*', '*', '#201'),
    ('discipline-registries', 'report', 'institutionmanager', '*', '*', '#201'),
    ('discipline-registries', 'report', 'assistant', '*', '*', '#201'),
    ('disciplines', 'list', 'helpdeskadmin', '*', '*', ''),
    ('disciplines', 'list', 'helpdeskuser', '*', '*', ''),
    ('disciplines', 'list', 'institutionmanager', '*', '*', ''),
    ('disciplines', 'list', 'assistant', '*', '*', ''),
    ('disciplines', 'list', 'ministry', '*', '*', ''),
    ('disciplines', 'list', 'professor', '*', '*', ''),
    ('disciplines', 'list', 'candidate', '*', '*', ''),
    ('disciplines', 'retrieve', 'helpdeskadmin', '*', '*', ''),
    ('disciplines', 'retrieve', 'helpdeskuser', '*', '*', ''),
    ('disciplines', 'retrieve', 'institutionmanager', '*', '*', ''),
    ('disciplines', 'retrieve', 'assistant', '*', '*', ''),
    ('disciplines', 'retrieve', 'ministry', '*', '*', ''),
    ('disciplines', 'retrieve', 'professor', '*', '*', ''),
    ('disciplines', 'retrieve', 'candidate', '*', '*', ''),
    ('disciplines', 'create', 'helpdeskadmin', '*', '*', ''),
    ('disciplines', 'create', 'institutionmanager', '*', '*', ''),
    ('disciplines', 'create', 'assistant', '*', '*', ''),
    ('disciplines', 'update', 'helpdeskadmin', '*', '*', ''),
    ('ministry-council-acts', 'list', 'ministry', '*', '*', ''),
    ('ministry-council-acts', 'list', 'helpdeskadmin', '*', '*', ''),
    ('ministry-council-acts', 'list', 'helpdeskuser', '*', '*', ''),
    ('ministry-council-acts', 'list', 'institutionmanager', '*', '*', ''),
    ('ministry-council-acts', 'list', 'assistant', '*', '*', ''),
    ('ministry-council-acts', 'create', 'ministry', '*', '*', ''),
    ('ministry-council-acts', 'create', 'helpdeskadmin', '*', '*', ''),
    ('ministry-council-acts', 'update', 'ministry', '*', '*', ''),
    ('ministry-council-acts', 'update', 'helpdeskadmin', '*', '*', ''),
    ('ministry-council-acts', 'upload', 'ministry', '*', '*', ''),
    ('ministry-council-acts', 'upload', 'helpdeskadmin', '*', '*', ''),
    ('ministry-council-acts', 'retrieve', '*', '*', '*', ''),
    ('mca-institution-positions', 'list', '*', '*', '*', ''),
    ('mca-institution-positions', 'create', 'ministry', '*', '*', ''),
    ('mca-institution-positions', 'create', 'helpdeskadmin', '*', '*', ''),
    ('mca-institution-positions', 'update', 'ministry', '*', '*', ''),
    ('mca-institution-positions', 'update', 'helpdeskadmin', '*', '*', ''),
    ('mca-institution-positions', 'retrieve', '*', '*', '*', ''),
    # ('mca-institution-positions', 'upload', 'institutionmanager', '*', 'owned', ''),
    # ('mca-institution-positions', 'update', 'institutionmanager', 'mca_institution_files', 'owned', ''),
    ('mca-department-positions', 'list', '*', '*', '*', ''),
    ('mca-department-positions', 'create', 'helpdeskadmin', '*', '*', ''),
    ('mca-department-positions', 'create', 'institutionmanager', '*', 'can_create', ''),
    ('mca-department-positions', 'update', 'helpdeskadmin', '*', '*', ''),
    ('mca-department-positions', 'update', 'institutionmanager', '*', 'owned', ''),
    # ('mca-department-positions', 'update', 'assistant', 'mca_department_files', 'owned_by_assistant', ''),
    # ('mca-department-positions', 'upload', 'assistant', '*', 'owned_by_assistant', ''),
    ('mca-department-positions', 'retrieve', '*', '*', '*', ''),
    # ('mca-department-positions-details', 'list', '*', '*', '*', ''),
    # ('mca-department-positions-details', 'create', 'helpdeskadmin', '*', '*', ''),
    # ('mca-department-positions-details', 'create', 'institutionmanager', '*', 'can_create', ''),
    # ('mca-department-positions-details', 'create', 'assistant', '*', 'can_create', ''),
    ('mca-department-positions-details', 'retrieve', 'helpdeskadmin', '*', '*', ''),
    ('mca-department-positions-details', 'retrieve', 'institutionmanager', '*', '*', ''),
    ('mca-department-positions-details', 'retrieve', 'assistant', '*', '*', ''),
    ('mca-department-positions-details', 'update', 'assistant', '*', 'owned_by_assistant', ''),
    ('mca-department-positions-details', 'destroy', 'assistant', '*', 'owned_by_assistant', ''),
    ('position-ranks', 'list', '*', '*', '*', ''),
    ('position-ranks', 'retrieve', '*', '*', '*', ''),
    # ('elector-discipline-registries', 'create', 'institutionmanager', '*', 'can_create', '4.3.3'),
    # ('elector-discipline-registries', 'create', 'assistant', '*', 'can_create', 'T1721'),
    # ('elector-discipline-registries', 'list', 'candidate', '*', '*', '3.3.9'),
    # ('elector-discipline-registries', 'list', 'helpdeskadmin', '*', '*', '5.1.9'),
    # ('elector-discipline-registries', 'list', 'helpdeskuser', '*', '*', '5.1.9'),
    # ('elector-discipline-registries', 'list', 'institutionmanager', '*', 'can_list', '4.3.1'),
    # ('elector-discipline-registries', 'list', 'assistant', '*', 'can_list', 'T1721'),
    # ('elector-discipline-registries', 'list', 'ministry', '*', '*', 'T2217'),
    # ('elector-discipline-registries', 'list', 'professor', '*', '*', '1.3.14'),
    ('elector-discipline-registries', 'retrieve', 'candidate', '*', '*', '3.3.9'),
    ('elector-discipline-registries', 'retrieve', 'helpdeskadmin', '*', '*', '5.1.9'),
    ('elector-discipline-registries', 'retrieve', 'helpdeskuser', '*', '*', '5.1.9'),
    ('elector-discipline-registries', 'retrieve', 'institutionmanager', '*', 'from_institution', '4.3.1'),
    ('elector-discipline-registries', 'retrieve', 'assistant', '*', 'from_institution', ''),
    ('elector-discipline-registries', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('elector-discipline-registries', 'retrieve', 'professor', '*', '*', '1.3.14'),
    ('elector-discipline-registries', 'update', 'institutionmanager', '*', 'owned_can_edit', '4.3.6'),
    ('elector-discipline-registries', 'update', 'assistant', '*', 'can_create_owned_can_edit', '4.3.6'),
    ('elector-discipline-registries', 'update', 'helpdeskadmin', '*', '*', ''),
    ('elector-discipline-registries', 'upload', 'institutionmanager', '*', 'owned_can_edit', ''),
    ('elector-discipline-registries', 'upload', 'assistant', '*', 'can_create_owned_can_edit', ''),
    ('elector-discipline-registries', 'activate', 'helpdeskadmin', '*', '*', ''),
    ('elector-discipline-registries', 'activate', 'institutionmanager', '*', 'owned', ''),
    ('elector-discipline-registries', 'activate', 'assistant', '*', 'can_create_owned', ''),
    ('elector-discipline-registries', 'deactivate', 'helpdeskadmin', '*', '*', ''),
    ('elector-discipline-registries', 'deactivate', 'institutionmanager', '*', 'owned', ''),
    ('elector-discipline-registries', 'deactivate', 'assistant', '*', 'can_create_owned', ''),
    ('elector-discipline-registry-members', 'list', 'candidate', '*', '*', '3.3.9'),
    ('elector-discipline-registry-members', 'list', 'helpdeskadmin', '*', '*', '5.1.9'),
    ('elector-discipline-registry-members', 'list', 'helpdeskuser', '*', '*', '5.1.9'),
    ('elector-discipline-registry-members', 'list', 'institutionmanager', '*', '*', '4.3.1'),
    ('elector-discipline-registry-members', 'list', 'assistant', '*', '*', 'T1721'),
    ('elector-discipline-registry-members', 'list', 'ministry', '*', '*', 'T2217'),
    ('elector-discipline-registry-members', 'list', 'professor', '*', '*', '1.3.14'),
    ('elector-discipline-registry-members', 'retrieve', 'candidate', '*', '*', '3.3.9'),
    ('elector-discipline-registry-members', 'retrieve', 'helpdeskadmin', '*', '*', '5.1.9'),
    ('elector-discipline-registry-members', 'retrieve', 'helpdeskuser', '*', '*', '5.1.9'),
    ('elector-discipline-registry-members', 'retrieve', 'institutionmanager', '*', '*', '4.3.1'),
    ('elector-discipline-registry-members', 'retrieve', 'assistant', '*', '*', ''),
    ('elector-discipline-registry-members', 'retrieve', 'ministry', '*', '*', 'T2217'),
    ('elector-discipline-registry-members', 'retrieve', 'professor', '*', '*', '1.3.14'),
    ('elector-discipline-registry-members', 'create', 'institutionmanager', '*', 'owned', '4.3.6'),
    ('elector-discipline-registry-members', 'create', 'assistant', '*', 'can_create_owned', ''),
    ('elector-discipline-registry-members', 'create', 'helpdeskadmin', '*', '*', ''),
    ('elector-discipline-registry-members', 'destroy', 'institutionmanager', '*', 'owned', '4.3.6'),
    ('elector-discipline-registry-members', 'destroy', 'assistant', '*', 'can_create_owned', ''),
    ('elector-discipline-registry-members', 'destroy', 'helpdeskadmin', '*', '*', ''),
    ('elector-discipline-registry-members', 'update', 'helpdeskadmin', '*', '*', '4.3.6'),
    ('elector-discipline-registry-members', 'update', 'institutionmanager', 'same_discipline', 'owned', '4.3.6'),
    ('elector-discipline-registry-members', 'update', 'assistant', 'same_discipline', 'can_create_owned', '4.3.6'),
]
